# define driver name, version and release
%define		drvname	broadcom-wl
%define		drvver	6.30.223.271
%define		drvrel	1.mga5.nonfree

# define core kernel version we build against
%define 	kernver		4.1.15
%define		kernrel		1.mga5

# where to build
%define		topdir		${RPM_BUILD_DIR}/%{name}-%{_arch}

# source package
Name:		kmod-%{drvname}
Version:	%{drvver}
Release:	%mkrel 4
Summary:	Prebuilt %{drvname} modules for kernel-%{kernver}-%{kernrel}
License:	Freeware
URL:		http://www.broadcom.com/support/802.11/linux_sta.php
Group:		System/Kernel and hardware
ExclusiveArch:	%{ix86} x86_64

BuildRequires:	dkms-%{drvname} = %{drvver}-%{drvrel}
%ifarch %{ix86}
BuildRequires:	kernel-desktop586-devel-%{kernver}-%{kernrel}
%endif
BuildRequires:	kernel-desktop-devel-%{kernver}-%{kernrel}
BuildRequires:	kernel-server-devel-%{kernver}-%{kernrel}

%description
This package creates prebuilt %{drvname} kernel modules for core kernel.


# obsoletes prebuilt -netbook-latest modules with matching -desktop-latest
%define latest_obsoletes_desktop %{drvname}-kernel-netbook-latest < 5.100.82.112-49
%define latest_provides_desktop  %{drvname}-kernel-netbook-latest = %{drvver}-%{release}

##### mkflavour() ala core kernel #####
%define mkflavour()								\
%package -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}			\
Summary:	%{drvname} driver for kernel-%{1}-%{kernver}-%{kernrel}		\
License:	Commercial							\
URL:		http://www.broadcom.com/support/802.11/linux_sta.php		\
Group:		System/Kernel and hardware					\
Provides:	kmod(wl.ko) = %{version}					\
Requires(post): dkms-minimal							\
Requires(preun): dkms-minimal							\
Requires:	%{drvname}-common >= %{drvver}-%{drvrel}			\
Requires:	kernel-%{1}-%{kernver}-%{kernrel}				\
Requires(post):	kernel-%{1}-%{kernver}-%{kernrel}				\
Requires(preun): kernel-%{1}-%{kernver}-%{kernrel}				\
Recommends:	%{drvname}-kernel-%{1}-latest					\
%ifarch %{ix86}									\
Conflicts:	arch(x86_64)							\
%endif										\
										\
%description -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}			\
Prebuilt dkms binary kernel modules for the %{drvname} driver version %{drvver} \
built for kernel-%{1}-%{kernver}-%{kernrel}.					\
										\
%files -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}				\
%dir /var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-%{1}-%{kernrel} \
/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-%{1}-%{kernrel}/* \
										\
%posttrans -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}				\
%{_sbindir}/dkms install --binary -m %{drvname} -v %{drvver}-%{drvrel} -k %{kernver}-%{1}-%{kernrel} --rpm_safe_upgrade \
%{_sbindir}/dkms status -m %{drvname} -v %{drvver}-%{drvrel}			\
										\
%preun -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}				\
%{_sbindir}/dkms uninstall --binary -m %{drvname} -v %{drvver}-%{drvrel} -k %{kernver}-%{1}-%{kernrel} --rpm_safe_upgrade \
										\
										\
%package -n %{drvname}-kernel-%{1}-latest					\
Summary:	Virtual rpm for latest %{drvname}-kernel-%{1} driver		\
License:	Commercial							\
URL:		http://www.broadcom.com/support/802.11/linux_sta.php		\
Group:		System/Kernel and hardware					\
Requires:	%{drvname}-kernel-%{kernver}-%{1}-%{kernrel} = %{version}-%{release} \
%{expand:%%{?latest_obsoletes_%{1}:Obsoletes: %{latest_obsoletes_%{1}}}}	\
%{expand:%%{?latest_provides_%{1}:Provides: %{latest_provides_%{1}}}}		\
%ifarch %{ix86}									\
Conflicts:	arch(x86_64)							\
%endif										\
										\
%description -n %{drvname}-kernel-%{1}-latest					\
This package is a virtual rpm that aims to make sure you always have the	\
latest prebuilt %{drvname} driver for kernel-%{1}.				\
										\
%files -n %{drvname}-kernel-%{1}-latest

%ifarch %{ix86}
%mkflavour desktop586
%endif

%mkflavour desktop
%mkflavour server


%prep
rm -rf %{topdir}

%build
%{_sbindir}/dkms add -m %{drvname} -v %{drvver}-%{drvrel} --dkmstree %{topdir}/var/lib/dkms-binary
%ifarch %{ix86}
%{_sbindir}/dkms build --no-prepare-kernel --no-clean-kernel -m %{drvname} -v %{drvver}-%{drvrel} \
	    -k %{kernver}-desktop586-%{kernrel} --kernelsourcedir /usr/src/kernel-%{kernver}-desktop586-%{kernrel} \
	    --dkmstree %{topdir}/var/lib/dkms-binary
%endif
for flavour in desktop server; do
    %{_sbindir}/dkms build --no-prepare-kernel --no-clean-kernel -m %{drvname} -v %{drvver}-%{drvrel} \
		-k %{kernver}-$flavour-%{kernrel} --kernelsourcedir /usr/src/kernel-%{kernver}-$flavour-%{kernrel} \
		--dkmstree %{topdir}/var/lib/dkms-binary
done

%install
mkdir -p %{buildroot}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}
cp -a %{topdir}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-*-%{kernrel} \
      %{buildroot}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/
for dir in %{buildroot}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-*-%{kernrel}; do
    cp -a /usr/src/%{drvname}-%{drvver}-%{drvrel}/dkms.conf $dir/
    xz -6e $dir/*/module/wl.ko
done


%changelog
* Fri Dec 25 2015 tmb <tmb> 6.30.223.271-4.mga5
+ Revision: 914567
- rebuild for kernel-4.1.15-1.mga5
- rebuild for kernel-4.1.13-2.mga5
- rebuild for kernel-4.1.12-1.mga5
- rebuild for broadcom-wl-6.30.223.271-1.mga5
- rebuild for kernel-4.1.8-1.mga5
- rebuild for kernel-4.1.7-1.mga5
- rebuild for broadcom-wl-6.30.223.248-2.1.mga5

* Sat Jun 13 2015 tmb <tmb> 6.30.223.248-33.mga5.nonfree
+ Revision: 823088
- rebuild for kernel-3.19.8-3.mga5

* Fri May 22 2015 tmb <tmb> 6.30.223.248-32.mga5.nonfree
+ Revision: 822500
- rebuild for kernel-3.19.8-2.mga5

* Mon May 11 2015 tmb <tmb> 6.30.223.248-30.mga5.nonfree
+ Revision: 821881
- rebuild for kernel-3.19.8-1.mga5

* Mon May 11 2015 tmb <tmb> 6.30.223.248-28.mga5.nonfree
+ Revision: 821786
- rebuild for kernel-3.19.7-2.mga5

* Sat May 09 2015 tmb <tmb> 6.30.223.248-27.mga5.nonfree
+ Revision: 821505
- rebuild for kernel-3.19.7-1.mga5

* Sat May 02 2015 tmb <tmb> 6.30.223.248-26.mga5.nonfree
+ Revision: 821118
- rebuild for kernel-3.19.6-2.mga5

* Sat May 02 2015 tmb <tmb> 6.30.223.248-25.mga5.nonfree
+ Revision: 821064
- rebuild for kernel-3.19.6-1.mga5

* Sat Apr 18 2015 tmb <tmb> 6.30.223.248-24.mga5.nonfree
+ Revision: 820419
- rebuild for kernel-3.19.4-2.mga5

* Tue Apr 14 2015 tmb <tmb> 6.30.223.248-23.mga5.nonfree
+ Revision: 820219
- rebuild for kernel-3.19.4-1.mga5

* Fri Apr 03 2015 tmb <tmb> 6.30.223.248-22.mga5.nonfree
+ Revision: 819588
- rebuild for kernel-3.19.3-1.mga5

* Tue Mar 24 2015 tmb <tmb> 6.30.223.248-21.mga5.nonfree
+ Revision: 819192
- rebuild for kernel-3.19.2-2.mga5

* Wed Mar 18 2015 tmb <tmb> 6.30.223.248-20.mga5.nonfree
+ Revision: 818844
- rebuild for kernel-3.19.2-1.mga5

* Sat Mar 14 2015 tmb <tmb> 6.30.223.248-19.mga5.nonfree
+ Revision: 818525
- rebuild for kernel-3.19.1-2.mga5

* Wed Mar 11 2015 tmb <tmb> 6.30.223.248-18.mga5.nonfree
+ Revision: 818331
- rebuild for kernel-3.19.1-1.mga5

* Sat Mar 07 2015 tmb <tmb> 6.30.223.248-17.mga5.nonfree
+ Revision: 818017
- rebuild for kernel-3.19.0-6.mga5

* Mon Mar 02 2015 tmb <tmb> 6.30.223.248-16.mga5.nonfree
+ Revision: 817315
- rebuild for kernel-3.19.0-5.mga5

* Fri Feb 27 2015 tmb <tmb> 6.30.223.248-15.mga5.nonfree
+ Revision: 817099
- rebuild for kernel-3.19.0-4.mga5

* Wed Feb 25 2015 tmb <tmb> 6.30.223.248-14.mga5.nonfree
+ Revision: 816860
- rebuild for kernel-3.19.0-3.mga5

* Mon Feb 23 2015 tmb <tmb> 6.30.223.248-13.mga5.nonfree
+ Revision: 816600
- rebuild for kernel-3.19.0-2.mga5

* Mon Feb 09 2015 tmb <tmb> 6.30.223.248-12.mga5.nonfree
+ Revision: 814283
- rebuild for kernel-3.19.0-1.mga5

* Wed Feb 04 2015 tmb <tmb> 6.30.223.248-11.mga5.nonfree
+ Revision: 813328
- rebuild for kernel-3.19.0-0.rc7.3.mga5

* Tue Feb 03 2015 tmb <tmb> 6.30.223.248-10.mga5.nonfree
+ Revision: 813181
- rebuild for kernel-3.19.0-0.rc7.2.mga5

* Wed Jan 21 2015 tmb <tmb> 6.30.223.248-9.mga5.nonfree
+ Revision: 811724
- rebuild for kernel-3.18.3-2.mga5

* Fri Jan 16 2015 tmb <tmb> 6.30.223.248-8.mga5.nonfree
+ Revision: 811024
- rebuild for kernel-3.18.3-1.mga5

* Tue Jan 13 2015 tmb <tmb> 6.30.223.248-7.mga5.nonfree
+ Revision: 810489
- rebuild for kernel-3.18.2-1.mga5
- switch dkms install to posttrans

* Wed Jan 07 2015 tmb <tmb> 6.30.223.248-6.mga5.nonfree
+ Revision: 809072
- rebuild for kernel-3.18.1-4.mga5

* Tue Dec 30 2014 tmb <tmb> 6.30.223.248-5.mga5.nonfree
+ Revision: 807500
- rebuild for kernel-3.18.1-3.mga5

* Sun Dec 21 2014 tmb <tmb> 6.30.223.248-4.mga5.nonfree
+ Revision: 804679
- rebuild for kernel-3.18.1-2.mga5

* Sun Dec 14 2014 tmb <tmb> 6.30.223.248-3.mga5.nonfree
+ Revision: 803184
- rebuild for kernel-3.18.1-1.mga5

* Sun Dec 14 2014 tmb <tmb> 6.30.223.248-2.mga5.nonfree
+ Revision: 803038
- reubild for kernel-3.18.0-2.mga5

* Mon Dec 08 2014 tmb <tmb> 6.30.223.248-1.mga5.nonfree
+ Revision: 802191
- rebuild for kernel-3.18.0-1.mga5

* Fri Dec 05 2014 tmb <tmb> 6.30.223.141-69.mga5.nonfree
+ Revision: 801632
- rebuild for kernel-3.18.0-0.rc7.2.mga5

* Mon Dec 01 2014 tmb <tmb> 6.30.223.141-68.mga5.nonfree
+ Revision: 800175
- rebuild for kernel-3.18.0-0.rc7.1.mga5

* Sun Nov 30 2014 tmb <tmb> 6.30.223.141-67.mga5.nonfree
+ Revision: 799979
- rebuild for kernel-3.18.0-0.rc6.1.mga5

* Sat Nov 29 2014 tmb <tmb> 6.30.223.141-66.mga5.nonfree
+ Revision: 799917
- rebuild for broadcom-wl-6.30.223.141-11.mga5

* Fri Nov 21 2014 tmb <tmb> 6.30.223.141-65.mga5.nonfree
+ Revision: 798140
- rebuild for kernel-3.17.4-1.mga5

* Sun Nov 16 2014 tmb <tmb> 6.30.223.141-64.mga5.nonfree
+ Revision: 797379
- rebuild for kernel-3.17.3-1.mga5

* Mon Nov 10 2014 tmb <tmb> 6.30.223.141-63.mga5.nonfree
+ Revision: 796237
- rebuild for kernel-3.17.2-4.mga5

* Tue Nov 04 2014 tmb <tmb> 6.30.223.141-62.mga5.nonfree
+ Revision: 795423
- rebuild for kernel-3.17.2-3.mga5

* Sat Nov 01 2014 tmb <tmb> 6.30.223.141-61.mga5.nonfree
+ Revision: 795135
- rebuild for kernel-3.17.2-2.mga5

* Thu Oct 30 2014 tmb <tmb> 6.30.223.141-60.mga5.nonfree
+ Revision: 794807
- rebuild for kernel-3.17.2-1.mga5

* Sat Oct 25 2014 tmb <tmb> 6.30.223.141-59.mga5.nonfree
+ Revision: 793244
- rebuild for kernel-3.17.1-2.mga5

* Wed Oct 15 2014 tmb <tmb> 6.30.223.141-58.mga5.nonfree
+ Revision: 757158
- rebuild for kernel-3.17.1-1.mga5

* Tue Oct 14 2014 tmb <tmb> 6.30.223.141-57.mga5.nonfree
+ Revision: 738589
- rebuild for kernel-3.17.0-5.mga5

* Fri Oct 10 2014 tmb <tmb> 6.30.223.141-56.mga5.nonfree
+ Revision: 737847
- rebuild for kernel-3.17.0-4.mga5

* Mon Oct 06 2014 tmb <tmb> 6.30.223.141-55.mga5.nonfree
+ Revision: 737106
- rebuild for kernel-3.17.0-3.mga5

* Fri Oct 03 2014 tmb <tmb> 6.30.223.141-54.mga5.nonfree
+ Revision: 736366
- rebuild with kernel-3.17.0-1.rc7.2.mga5

* Mon Sep 29 2014 tmb <tmb> 6.30.223.141-53.mga5.nonfree
+ Revision: 731536
- rebuild for kernel-3.17.0-1.rc7.1.mga5

* Sat Sep 27 2014 tmb <tmb> 6.30.223.141-52.mga5.nonfree
+ Revision: 727575
- rebuild for kernel-3.17.0-0.rc6.2.mga5
- rebuild for kernel-3.17.0-1.rc6.2.mga5
- adapt to new kmod provides

* Tue Sep 23 2014 tmb <tmb> 6.30.223.141-49.mga5.nonfree
+ Revision: 721709
- rebuild for kernel-3.17.0-0.rc6.1.mga5

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Mon Sep 15 2014 tmb <tmb> 6.30.223.141-47.mga5.nonfree
+ Revision: 676889
- rebuild for kernel-3.17.0-0.rc5.1.mga5

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Sep 08 2014 tmb <tmb> 6.30.223.141-46.mga5.nonfree
+ Revision: 673638
- rebuild for kernel-3.17.0-0.rc4.1.mga5

* Wed Sep 03 2014 tmb <tmb> 6.30.223.141-45.mga5.nonfree
+ Revision: 671178
- rebuild for kernel-3.17.0-0.rc3.1.mga5

* Thu Jul 24 2014 tmb <tmb> 6.30.223.141-44.mga5.nonfree
+ Revision: 656170
- rebuild for kernel-3.15.6-1.mga5

* Sun Jun 29 2014 tmb <tmb> 6.30.223.141-43.mga5.nonfree
+ Revision: 641134
- rebuild for kernel-3.15.2-2.mga5

* Fri Jun 27 2014 tmb <tmb> 6.30.223.141-42.mga5.nonfree
+ Revision: 640257
- rebuild for kernel-3.15.2-1.mga5

* Tue Jun 17 2014 tmb <tmb> 6.30.223.141-41.mga5.nonfree
+ Revision: 637748
- rebuild for kernel-3.15.1-1.mga5

* Mon Jun 09 2014 tmb <tmb> 6.30.223.141-40.mga5.nonfree
+ Revision: 634875
- rebuild for kernel-3.15.0-1.mga5

* Thu Jun 05 2014 tmb <tmb> 6.30.223.141-39.mga5.nonfree
+ Revision: 633408
- rebuild for kernel-3.14.5-3.mga5

* Wed Jun 04 2014 tmb <tmb> 6.30.223.141-38.mga5.nonfree
+ Revision: 633196
- rebuild for kernel-3.14.5-2.mga5

* Sun Jun 01 2014 tmb <tmb> 6.30.223.141-37.mga5.nonfree
+ Revision: 630017
- rebuild for kernel-3.14.5-1.mga5

* Thu May 29 2014 tmb <tmb> 6.30.223.141-36.mga5.nonfree
+ Revision: 627599
- rebuild for kernel-3.14.4-3.mga5

* Thu May 22 2014 tmb <tmb> 6.30.223.141-35.mga5.nonfree
+ Revision: 624864
- rebuild for kernel-3.14.4-2.mga5

* Wed May 14 2014 tmb <tmb> 6.30.223.141-34.mga5.nonfree
+ Revision: 622727
- build with fixed broadcom-wl-6.30.223.141-4.mga5
- rebuild for kernel-3.14.4-1.mga5

* Wed May 07 2014 tmb <tmb> 6.30.223.141-33.mga5.nonfree
+ Revision: 620947
- rebuild for kernel-3.14.3-1.mga5

* Thu May 01 2014 tmb <tmb> 6.30.223.141-32.mga5.nonfree
+ Revision: 619123
- rebuild for kernel-3.14.2-2.mga5

* Sun Apr 27 2014 tmb <tmb> 6.30.223.141-31.mga5.nonfree
+ Revision: 618381
- rebuild for kernel-3.14.2-1.mga5

* Fri Apr 11 2014 tmb <tmb> 6.30.223.141-30.mga5.nonfree
+ Revision: 613503
- rebuild for kernel-3.13.10-1.mga5

* Sat Mar 08 2014 tmb <tmb> 6.30.223.141-28.mga5.nonfree
+ Revision: 601409
- rebuild for kernel-3.13.6-1.mga5

* Sun Feb 23 2014 tmb <tmb> 6.30.223.141-27.mga5.nonfree
+ Revision: 595751
- rebuild for kernel-3.12.13-2.mga5

* Sat Feb 22 2014 tmb <tmb> 6.30.223.141-26.mga5.nonfree
+ Revision: 595505
- fix path to kernel-devel
- rebuild for kernel-3.12.13-1.mga5

* Sun Feb 02 2014 tmb <tmb> 6.30.223.141-25.mga4.nonfree
+ Revision: 568629
- rebuild for kernel-3.12.9-1.mga4

* Fri Jan 24 2014 tmb <tmb> 6.30.223.141-24.mga4.nonfree
+ Revision: 567970
- rebuild for kernel-3.12.8-2.mga4

* Sun Jan 19 2014 tmb <tmb> 6.30.223.141-23.mga4.nonfree
+ Revision: 566913
- rebuild for kernel-3.12.8-1.mga4

* Mon Jan 13 2014 tmb <tmb> 6.30.223.141-22.mga4.nonfree
+ Revision: 566402
- rebuild for kernel-3.12.7-1.mga4

* Thu Jan 09 2014 tmb <tmb> 6.30.223.141-21.mga4.nonfree
+ Revision: 566024
- rebuild for kernel-3.12.6-5.mga4

* Tue Jan 07 2014 tmb <tmb> 6.30.223.141-20.mga4.nonfree
+ Revision: 565399
- rebuild for kernel-3.12.6-4.mga4

* Sat Jan 04 2014 tmb <tmb> 6.30.223.141-19.mga4.nonfree
+ Revision: 564450
- rebuild for kernel-3.12.6-3.mga4

* Sun Dec 29 2013 tmb <tmb> 6.30.223.141-18.mga4.nonfree
+ Revision: 563039
- rebuild for kernel-3.12.6-2.mga4

* Fri Dec 20 2013 tmb <tmb> 6.30.223.141-17.mga4.nonfree
+ Revision: 559276
- rebuild for kernel-3.12.6-1.mga4

* Sun Dec 15 2013 tmb <tmb> 6.30.223.141-16.mga4.nonfree
+ Revision: 556884
- rebuild for kernel-3.12.5-1.mga4

* Wed Dec 04 2013 tmb <tmb> 6.30.223.141-15.mga4.nonfree
+ Revision: 555224
- rebuild for kernel-3.12.3-1.mga4

* Sat Nov 30 2013 tmb <tmb> 6.30.223.141-14.mga4.nonfree
+ Revision: 554318
- rebuild for kernel-3.12.2-1.mga4

* Thu Nov 21 2013 tmb <tmb> 6.30.223.141-13.mga4.nonfree
+ Revision: 552214
- rebuild for kernel-3.12.1-1.mga4

* Sun Nov 17 2013 tmb <tmb> 6.30.223.141-12.mga4.nonfree
+ Revision: 551609
- rebuild for kernel-3.12.0-3.mga4

* Sat Nov 09 2013 tmb <tmb> 6.30.223.141-11.mga4.nonfree
+ Revision: 550048
- rebuild for kernel-3.12.0-2.mga4

* Mon Nov 04 2013 tmb <tmb> 6.30.223.141-10.mga4.nonfree
+ Revision: 549329
- rebuild for kernel-3.12.0-1.mga4

* Sat Nov 02 2013 tmb <tmb> 6.30.223.141-8.mga4.nonfree
+ Revision: 549147
- rebuild for kernel-3.12.0-0.rc7.2.mga4

* Thu Oct 31 2013 tmb <tmb> 6.30.223.141-7.mga4.nonfree
+ Revision: 548370
- rebuild for broadcom-wl-6.30.223.141-2.mga4

* Thu Oct 31 2013 tmb <tmb> 6.30.223.141-6.mga4.nonfree
+ Revision: 548313
- rebuild for kernel-3.12.0-0.rc7.1.mga4

* Sat Oct 26 2013 tmb <tmb> 6.30.223.141-5.mga4.nonfree
+ Revision: 547167
- rebuild for kernel-3.12.0-0.rc6.2.mga4

* Mon Oct 21 2013 tmb <tmb> 6.30.223.141-4.mga4.nonfree
+ Revision: 541233
- rebuild for kernel-3.12.0-0.rc6.1.mga4

* Wed Oct 16 2013 tmb <tmb> 6.30.223.141-3.mga4.nonfree
+ Revision: 501617
- rebuild for kernel-3.12.0-0.rc5.2.mga4

* Mon Oct 14 2013 tmb <tmb> 6.30.223.141-2.mga4.nonfree
+ Revision: 496728
- rebuild for kernel-3.12.0-0.rc5.1.mga4

* Sat Oct 05 2013 tmb <tmb> 6.30.223.141-1.mga4.nonfree
+ Revision: 492033
- rebuild for broadcom-wl-6.30.223.141-1.mga4

* Thu Oct 03 2013 tmb <tmb> 5.100.82.112-103.mga4.nonfree
+ Revision: 490977
- rebuild for kernel-3.11.4-1.mga4

* Mon Sep 30 2013 tmb <tmb> 5.100.82.112-102.mga4.nonfree
+ Revision: 489612
- rebuild for kernel-3.11.2-2.mga4

* Fri Sep 27 2013 tmb <tmb> 5.100.82.112-101.mga4.nonfree
+ Revision: 487601
- rebuild for kernel-3.11.2-1.mga4

* Wed Sep 25 2013 tmb <tmb> 5.100.82.112-100.mga4.nonfree
+ Revision: 486398
- rebuild for kernel-3.11.1-1.mga4

* Tue Sep 03 2013 tmb <tmb> 5.100.82.112-99.mga4.nonfree
+ Revision: 474681
- rebuild for kernel-3.10.10-3.mga4

* Fri Aug 30 2013 tmb <tmb> 5.100.82.112-98.mga4.nonfree
+ Revision: 473472
- rebuild for kernel-3.10.10-2.mga4

* Thu Aug 29 2013 tmb <tmb> 5.100.82.112-97.mga4.nonfree
+ Revision: 473080
- rebuild for kernel-3.10.10-1.mga4

* Wed Aug 21 2013 tmb <tmb> 5.100.82.112-96.mga4.nonfree
+ Revision: 469172
- rebuild for kernel-3.10.9-1.mga4

* Sat Aug 17 2013 tmb <tmb> 5.100.82.112-95.mga4.nonfree
+ Revision: 467175
- rebuild for kernel-3.10.7-1.mga4

* Mon Aug 12 2013 tmb <tmb> 5.100.82.112-94.mga4.nonfree
+ Revision: 465867
- rebuild for kernel-3.10.6-1.mga4

* Sun Aug 11 2013 tmb <tmb> 5.100.82.112-93.mga4.nonfree
+ Revision: 465470
- rebuild for kernel-3.10.5-4.mga4

* Mon Aug 05 2013 tmb <tmb> 5.100.82.112-92.mga4.nonfree
+ Revision: 464036
- rebuild for kernel-3.10.5-3.mga4

* Mon Aug 05 2013 tmb <tmb> 5.100.82.112-91.mga4.nonfree
+ Revision: 463813
- rebuild for kernel-3.10.5-2.mga4

* Sun Aug 04 2013 tmb <tmb> 5.100.82.112-90.mga4.nonfree
+ Revision: 463609
- rebuild for kernel-3.10.5-1.mga4

* Mon Jul 29 2013 tmb <tmb> 5.100.82.112-89.mga4.nonfree
+ Revision: 460442
- rebuild for kernel-3.10.4-1.mga4

* Fri Jul 26 2013 tmb <tmb> 5.100.82.112-88.mga4.nonfree
+ Revision: 458455
- rebuild for kernel-3.10.3-1.mga4

* Mon Jul 22 2013 tmb <tmb> 5.100.82.112-87.mga4.nonfree
+ Revision: 457057
- rebuild for kernel-3.10.2-1.mga4

* Mon Jul 15 2013 tmb <tmb> 5.100.82.112-86.mga4.nonfree
+ Revision: 454870
- build with fixed broadcom-wl-5.100.82.112-13.mga4
- rebuild for kernel-3.10.1-1.mga4

* Fri Jun 28 2013 tmb <tmb> 5.100.82.112-84.mga4.nonfree
+ Revision: 447740
- rebuild for kernel-3.9.8-1.mga4

* Fri Jun 21 2013 tmb <tmb> 5.100.82.112-83.mga4.nonfree
+ Revision: 445346
- rebuild for kernel-3.9.7-1.mga4

* Tue Jun 18 2013 tv <tv> 5.100.82.112-82.mga4.nonfree
+ Revision: 444813
- rebuild for new kernel

* Sun Jun 02 2013 tmb <tmb> 5.100.82.112-81.mga4.nonfree
+ Revision: 434780
- rebuild for kernel-3.9.4-1.mga4

* Tue May 14 2013 tmb <tmb> 5.100.82.112-80.mga3.nonfree
+ Revision: 413201
- rebuild for kernel-3.8.13-1.mga3

* Fri May 10 2013 tmb <tmb> 5.100.82.112-79.mga3.nonfree
+ Revision: 412841
- rebuild for kernel-3.8.12-2.mga3

* Wed May 08 2013 tmb <tmb> 5.100.82.112-78.mga3.nonfree
+ Revision: 412683
- rebuild for kernel-3.8.12-1.mga3

* Sat May 04 2013 tmb <tmb> 5.100.82.112-77.mga3.nonfree
+ Revision: 412319
- rebuild for broadcom-wl-5.100.82.112-12.mga3

* Sat May 04 2013 tmb <tmb> 5.100.82.112-76.mga3.nonfree
+ Revision: 412263
- rebuild for broadcom-wl-5.100.82.112-11.mga3

* Wed May 01 2013 tmb <tmb> 5.100.82.112-75.mga3.nonfree
+ Revision: 411828
- rebuild for kernel-3.8.11-1.mga3

* Sat Apr 27 2013 tmb <tmb> 5.100.82.112-74.mga3.nonfree
+ Revision: 411361
- rebuild for kernel-3.8.10-1.mga3

* Mon Apr 22 2013 tmb <tmb> 5.100.82.112-73.mga3.nonfree
+ Revision: 410898
- rebuild for kernel-3.8.8-3.mga3

* Sat Apr 20 2013 tmb <tmb> 5.100.82.112-72.mga3.nonfree
+ Revision: 410591
- rebuild for kernel-3.8.8-2.mga3

* Wed Apr 17 2013 tmb <tmb> 5.100.82.112-71.mga3.nonfree
+ Revision: 410302
- rebuild for kernel-3.8.8-1.mga3

* Sat Apr 13 2013 tmb <tmb> 5.100.82.112-70.mga3.nonfree
+ Revision: 409933
- rebuild for kernel-3.8.7-1.mga3

* Tue Apr 09 2013 tmb <tmb> 5.100.82.112-69.mga3.nonfree
+ Revision: 409292
- rebuild for kernel-3.8.6-2.mga3

* Sun Apr 07 2013 tmb <tmb> 5.100.82.112-68.mga3.nonfree
+ Revision: 408760
- rebuild for kernel-3.8.6-1.mga3

* Sat Mar 30 2013 tmb <tmb> 5.100.82.112-67.mga3.nonfree
+ Revision: 406632
- rebuild for kernel-3.8.5-1.mga3

* Mon Mar 18 2013 tmb <tmb> 5.100.82.112-66.mga3.nonfree
+ Revision: 403964
- rebuild for kernel-3.8.3-2.mga3

* Fri Mar 15 2013 tmb <tmb> 5.100.82.112-65.mga3.nonfree
+ Revision: 403317
- rebuild for kernel-3.8.3-1.mga3

* Sat Mar 02 2013 tmb <tmb> 5.100.82.112-64.mga3.nonfree
+ Revision: 401092
- rebuild for kernel-3.8.1-1.mga3

* Thu Feb 28 2013 tmb <tmb> 5.100.82.112-63.mga3.nonfree
+ Revision: 400592
- rebuild for kernel-3.8.0-3.mga3

* Fri Feb 22 2013 tmb <tmb> 5.100.82.112-62.mga3.nonfree
+ Revision: 399989
- rebuild for kernel-3.8.0-2.mga3

* Tue Feb 19 2013 tmb <tmb> 5.100.82.112-61.mga3.nonfree
+ Revision: 399314
- rebuild for kernel-3.8.0-1.mga3

* Sat Feb 09 2013 tmb <tmb> 5.100.82.112-60.mga3.nonfree
+ Revision: 397381
- rebuild for kernel-3.8.0-0.rc7.1.mga3

* Wed Feb 06 2013 tmb <tmb> 5.100.82.112-59.mga3.nonfree
+ Revision: 394958
- rebuild for kernel-3.8.0-0.rc6.1.mga3

* Sun Jan 27 2013 tmb <tmb> 5.100.82.112-58.mga3.nonfree
+ Revision: 392634
- rebuild for kernel-3.8.0-0.rc5.1.mga3

* Wed Jan 23 2013 tmb <tmb> 5.100.82.112-57.mga3.nonfree
+ Revision: 391732
- rebuild for fixed broadcom-wl

* Wed Jan 23 2013 tmb <tmb> 5.100.82.112-56.mga3.nonfree
+ Revision: 391705
- require broadcom-wl-common for blacklist and ldetect-lst pciids list

* Fri Jan 18 2013 tmb <tmb> 5.100.82.112-55.mga3.nonfree
+ Revision: 389501
- rebuild for kernel-3.8.0-0.rc4.1.mga3

* Wed Jan 16 2013 tmb <tmb> 5.100.82.112-54.mga3.nonfree
+ Revision: 388893
- rebuild for kernel-3.8.0-0.rc3.2.mga3

* Tue Jan 15 2013 fwang <fwang> 5.100.82.112-53.mga3.nonfree
+ Revision: 388332
- rebuild for new broadcom-wl

* Thu Jan 10 2013 tmb <tmb> 5.100.82.112-52.mga3.nonfree
+ Revision: 344824
- rebuil for kernel-3.8.0-0.rc3.1.mga3 and broadcom-wl-5.100.82.112-6.mga3

* Tue Dec 18 2012 tmb <tmb> 5.100.82.112-51.mga3.nonfree
+ Revision: 332487
- rebuild for kernel-3.7.1-1.mga3

* Tue Dec 11 2012 tmb <tmb> 5.100.82.112-50.mga3.nonfree
+ Revision: 329578
- rebuild for kernel-3.7.0-1.mga3

* Fri Dec 07 2012 tmb <tmb> 5.100.82.112-49.mga3.nonfree
+ Revision: 327629
- kernel-netbook is gone, so have -netbook-latest packages update to
  matching -desktop-latest
- rebuild for kernel-3.7.0-0.rc8.1.mga3

* Thu Nov 01 2012 tmb <tmb> 5.100.82.112-48.mga3.nonfree
+ Revision: 311845
- rebuild for kernel-3.6.5-1.mga3

* Sun Oct 28 2012 tmb <tmb> 5.100.82.112-47.mga3.nonfree
+ Revision: 311235
- rebuild for kernel-3.6.4-1.mga3

* Sun Oct 21 2012 tmb <tmb> 5.100.82.112-46.mga3.nonfree
+ Revision: 309018
- rebuild for kernel-3.6.3-1.mga3

* Thu Oct 18 2012 tmb <tmb> 5.100.82.112-45.mga3.nonfree
+ Revision: 307878
- rebuild for kernel-3.6.2-1.mga3

* Sun Sep 30 2012 tmb <tmb> 5.100.82.112-44.mga3.nonfree
+ Revision: 300735
- rebuild for kernel-3.5.5-0.rc1.1.mga3

* Sat Sep 15 2012 tmb <tmb> 5.100.82.112-43.mga3.nonfree
+ Revision: 294131
- rebuild for kernel-3.5.4-1.mga3

* Tue Sep 11 2012 tmb <tmb> 5.100.82.112-42.mga3.nonfree
+ Revision: 292391
- rebuild for kernel-3.5.3-3.mga3

* Thu Aug 30 2012 tmb <tmb> 5.100.82.112-41.mga3.nonfree
+ Revision: 285701
- rebuild for kernel-3.5.3-2.mga3

* Sun Aug 26 2012 tmb <tmb> 5.100.82.112-40.mga3.nonfree
+ Revision: 284279
- rebuild for kernel-3.5.3-1.mga3

* Thu Aug 16 2012 tmb <tmb> 5.100.82.112-39.mga3.nonfree
+ Revision: 281606
- rebuild for kernel-3.5.2-1.mga3

* Sat Aug 11 2012 tmb <tmb> 5.100.82.112-38.mga3.nonfree
+ Revision: 280500
- rebuild for kernel-3.5.1-1.mga3

* Sat Jul 28 2012 tmb <tmb> 5.100.82.112-37.mga3.nonfree
+ Revision: 275092
- rebuild for kernel-3.5.0-1.mga3

* Fri Jul 20 2012 tmb <tmb> 5.100.82.112-36.mga3.nonfree
+ Revision: 272918
- rebuild for kernel-3.4.6-1.mga3

* Thu Jul 19 2012 tmb <tmb> 5.100.82.112-35.mga3.nonfree
+ Revision: 272417
- rebuild for kernel-3.4.5-1.mga3

* Sun Jul 01 2012 tmb <tmb> 5.100.82.112-34.mga3.nonfree
+ Revision: 266247
- rebuild for kernel-3.4.4-2.mga3

* Wed Jun 27 2012 tmb <tmb> 5.100.82.112-33.mga3.nonfree
+ Revision: 264246
- rebuild for kernel-3.4.4-1.mga3

* Wed Jun 20 2012 tmb <tmb> 5.100.82.112-32.mga3.nonfree
+ Revision: 262344
- rebuild for kernel-3.4.3-1.mga3

* Sat Jun 09 2012 tmb <tmb> 5.100.82.112-31.mga3.nonfree
+ Revision: 259026
- rebuild for kernel-3.4.2-1.mga3

* Tue Jun 05 2012 tmb <tmb> 5.100.82.112-30.mga3.nonfree
+ Revision: 255751
- rebuild for kernel-3.4.1-1.mga3

* Mon May 28 2012 tmb <tmb> 5.100.82.112-29.mga3.nonfree
+ Revision: 247965
- rebuild for fixed broadcom-wl-5.100.82.112-5.mga3
- rebuild for kernel-3.4.1-0.rc1.1.mga3

* Thu May 17 2012 tmb <tmb> 5.100.82.112-27.mga2.nonfree
+ Revision: 235855
- build for kernel-3.3.6-2.mga2

* Sun May 13 2012 tmb <tmb> 5.100.82.112-26.mga2.nonfree
+ Revision: 235566
- build for kernel-3.3.6-1.mga2

* Thu May 10 2012 tmb <tmb> 5.100.82.112-25.mga2.nonfree
+ Revision: 235201
- build for kernel-3.3.5-1.mga2

* Sat Apr 28 2012 tmb <tmb> 5.100.82.112-24.mga2.nonfree
+ Revision: 233922
- rebuild for kernel-3.3.4-1.mga2

* Mon Apr 23 2012 tmb <tmb> 5.100.82.112-23.mga2.nonfree
+ Revision: 232873
- rebuild for kernel-3.3.3-1.mga2

* Wed Apr 04 2012 tmb <tmb> 5.100.82.112-22.mga2.nonfree
+ Revision: 228368
- rebuild for kernel-3.3.1-2.mga2

* Tue Apr 03 2012 tmb <tmb> 5.100.82.112-21.mga2.nonfree
+ Revision: 228075
- rebuild for kernel-3.3.1-1.mga2

* Sun Mar 25 2012 tmb <tmb> 5.100.82.112-20.mga2.nonfree
+ Revision: 226184
- rebuild for kernel-3.3.0-2.mga2

* Mon Mar 19 2012 tmb <tmb> 5.100.82.112-19.mga2.nonfree
+ Revision: 224372
- rebuild for kernel-3.3.0-1.mga2

* Sun Mar 11 2012 tmb <tmb> 5.100.82.112-18.mga2.nonfree
+ Revision: 222560
- rebuild for kernel 3.3-rc7

* Mon Mar 05 2012 tmb <tmb> 5.100.82.112-17.mga2.nonfree
+ Revision: 219301
- rebuild for kernel-3.3.0-0.rc6.1.mga2

* Sat Mar 03 2012 tmb <tmb> 5.100.82.112-16.mga2.nonfree
+ Revision: 217301
- rebuild for kernel-3.2.9-2.mga2

* Thu Mar 01 2012 tmb <tmb> 5.100.82.112-15.mga2.nonfree
+ Revision: 216399
- rebuild for kernel-3.2.9-1.mga2

* Sat Feb 25 2012 tmb <tmb> 5.100.82.112-13.mga2.nonfree
+ Revision: 214771
- rebuild for kernel-3.2.7-1.mga2

* Thu Feb 16 2012 tmb <tmb> 5.100.82.112-12.mga2.nonfree
+ Revision: 209783
- rebuild for kernel-3.2.6-3.mga2
- compress modules with xz

* Tue Feb 14 2012 tmb <tmb> 5.100.82.112-11.mga2.nonfree
+ Revision: 208935
- rebuild for kernel-3.2.6-2.mga2

* Sun Feb 12 2012 tmb <tmb> 5.100.82.112-10.mga2.nonfree
+ Revision: 208062
- rebuild for kernel-3.2.6-0.rc1.1.mga2

* Mon Feb 06 2012 tmb <tmb> 5.100.82.112-9.mga2.nonfree
+ Revision: 205604
- rebuild for kernel-3.2.5-1.mga2

* Thu Jan 26 2012 tmb <tmb> 5.100.82.112-8.mga2.nonfree
+ Revision: 201951
- rebuild for kernel-3.2.2-1.mga2

* Fri Jan 20 2012 tmb <tmb> 5.100.82.112-7.mga2.nonfree
+ Revision: 198863
- build with kernel-3.2.1-2.mga2

* Sun Jan 15 2012 tmb <tmb> 5.100.82.112-6.mga2.nonfree
+ Revision: 196454
- kernel-xen-pvops does not exist anymore
- build against kernel-3.2.1-1.mga2

* Sun Jan 15 2012 tmb <tmb> 5.100.82.112-5.mga2.nonfree
+ Revision: 196309
- fix package name to match kernel uname -r

* Thu Jan 05 2012 tmb <tmb> 5.100.82.112-4.mga2.nonfree
+ Revision: 191564
- build with kernel-3.2.0-1.mga2

* Thu Dec 29 2011 tmb <tmb> 5.100.82.112-3.mga2.nonfree
+ Revision: 188526
- build with kernel-3.2.0-0.rc7.2.mga2
- fix url

* Mon Dec 26 2011 tmb <tmb> 5.100.82.112-2.mga2.nonfree
+ Revision: 187935
- build with broadcom-wl-5.100.82.112-4.mga2.nonfree
- build for kernel-3.2.0-0.rc7.1.mga2

* Mon Dec 26 2011 tmb <tmb> 5.100.82.112-1.mga2.nonfree
+ Revision: 187879
- imported package kmod-broadcom-wl

